> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SIP domain



## OpenAPI

````yaml /openapi.json post /v1/sip-domains/
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: The Leamout API for programmable communications.
servers:
  - url: https://api.leamout.com
security:
  - BearerAuth: []
tags:
  - name: Voice applications
    description: Programmable voice applications and inbound bindings.
  - name: Calls
    description: Durable calls and live call control.
  - name: SIP domains
    description: Organization-owned SIP namespaces.
  - name: SIP subscribers
    description: SIP identities and credentials.
  - name: Carrier providers
    description: Carrier provider definitions available to connections.
  - name: Carrier connections
    description: >-
      Organization carrier relationships, authentication, policy, and
      validation.
  - name: Trunks
    description: BYOC and managed SIP trunks and their physical endpoints.
  - name: Numbers
    description: BYOC and managed phone-number resources.
  - name: Recordings
    description: Call recording metadata and playback.
  - name: Conferences
    description: Conference resources and participant controls.
  - name: Realtime
    description: Short-lived realtime/WebRTC credentials.
  - name: Webhooks
    description: Webhook endpoints, secrets, tests, deliveries, and retries.
paths:
  /v1/sip-domains/:
    post:
      tags:
        - SIP domains
      summary: Create a SIP domain
      operationId: createSIPDomain
      requestBody:
        $ref: '#/components/requestBodies/SIPDomainCreate'
      responses:
        '201':
          description: SIP domain created
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  requestBodies:
    SIPDomainCreate:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SIPDomainCreate'
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    SIPDomainCreate:
      type: object
      required:
        - domain
      properties:
        domain:
          type: string
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          const: false
        error:
          $ref: '#/components/schemas/Error'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization credential
      description: Organization bearer credential beginning with lm_org_.

````